function [partv, ptime] = PaToH(hyp, K ,nconst, cw, nw, imbal)
%Usage:
% [partv, ptime] = PaToH(hyp, K [,nconst, cw, nw, imbal, cutdef])
% 
% 
%  Input Arguments:
%  hyg: hypergraph given as matrix: hyperedges/nets are columns,
%        vertices/cells are rows.
%  K  : numparts
%  nconst: number of cell weight constraints (optional)
%  cw : cell weights (optional)
%  nw : net weights  (optional)
%  imbal : allowed imbalance ratio (optional)
%  cutdef : cut function definition ('CON' or 'CUT' optional). CON is
%           default
%
%  Output Arguments:
% 
%  partv: 0-based part numbers for each vertex/cell
%  ptime: time spent in the wrappers around PaToH and PaToH itself.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This file is part of PaToH Matlab Interface
% Copyright (c) 2009 Bora Ucar and Umit V. Catalyurek
% ----------------------------------------------------------------------
% PaToH Matlab Interface is released under the GNU Lesser General Public
% License. A copy of the license is included in this distribution in
% COPYING.LESSER file.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Normally, PaToHMatrixPart.m should be used for partitioning matrices.
% This is for partitioning hypergraphs.
%
% See also PaToHMatrixPart PaToH.c
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

error('mex file for PaToH was not found.');
end

